package it.bluescreen.roboat;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Rect;

/**
 * Created by romanofranz on 22/01/17.
 */

public class GoalObject {
    public final static int scaleCollider = 100;

    private Bitmap bitmap;
    private int x;
    private int y;

    private Rect polygonArea;

    public GoalObject(Context context, int xScreen, int yScreen, int drawableResId, int x, int y) {
        Bitmap bitmap1 = BitmapFactory.decodeResource(context.getResources(), drawableResId);
        bitmap = Bitmap.createScaledBitmap(bitmap1, 250, 250, false);
        this.x = x;
        this.y = y;

        polygonArea = new Rect(x, y , x + bitmap.getWidth(), y + bitmap.getHeight());
        polygonArea.inset(scaleCollider, scaleCollider);
    }

    public Rect getPolygonArea() {
        return polygonArea;
    }

    public Bitmap getBitmap() {
        return bitmap;
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }
}
