package it.bluescreen.roboat;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.view.animation.AlphaAnimation;
import android.view.animation.Animation;
import android.widget.ImageButton;
import android.widget.TextView;

public class StoryActivity extends AppCompatActivity{

    private ImageButton buttonNext;
    Animation fadeIn1,fadeIn2,fadeIn3,fadeOut;
    TextView tv1;
    TextView tv2;
    TextView tv3;
    TextView headphones;
    int[] textViewIDs = new int[] {R.id.textView1, R.id.textView2, R.id.textView3, R.id.textView4};
    boolean next1=false;
    boolean next2=false;

    MediaPlayer intro;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.story_game);

        //setting the orientation to landscape
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        intro =  MediaPlayer.create(this,R.raw.intro);
        intro.start();

        fadeIn1 = new AlphaAnimation(0.0f , 1.0f ) ;
        fadeIn1.setDuration(3000);
        fadeIn1.setFillAfter(true);

        fadeIn2 = new AlphaAnimation(0.0f , 1.0f ) ;
        fadeIn2.setDuration(3000);
        fadeIn2.setFillAfter(true);

        fadeIn3 = new AlphaAnimation(0.0f , 1.0f ) ;
        fadeIn3.setDuration(3000);
        fadeIn3.setFillAfter(true);

        fadeOut = new AlphaAnimation(1.0f , 0.0f ) ;
        fadeOut.setDuration(3000);
        fadeOut.setFillAfter(true);

        headphones=(TextView) findViewById(R.id.textView1);
        tv1 = (TextView) findViewById(R.id.textView2);
        tv2 = (TextView) findViewById(R.id.textView3);
        tv3 = (TextView) findViewById(R.id.textView4);

        tv1.setVisibility(View.INVISIBLE);
        tv2.setVisibility(View.INVISIBLE);
        tv3.setVisibility(View.INVISIBLE);

        headphones.startAnimation(fadeOut);
        fadeOut.setAnimationListener(new Animation.AnimationListener() {
            @Override
            public void onAnimationStart(Animation animation) {

            }

            @Override
            public void onAnimationEnd(Animation animation) {
                tv1.startAnimation(fadeIn1);
            }

            @Override
            public void onAnimationRepeat(Animation animation) {

            }
        });

        fadeIn1.setAnimationListener(new Animation.AnimationListener() {
            @Override
            public void onAnimationStart(Animation animation) {

            }

            @Override
            public void onAnimationEnd(Animation animation) {
                tv2.startAnimation(fadeIn2);
            }

            @Override
            public void onAnimationRepeat(Animation animation) {

            }
        });

        fadeIn2.setAnimationListener(new Animation.AnimationListener() {
            @Override
            public void onAnimationStart(Animation animation) {

            }

            @Override
            public void onAnimationEnd(Animation animation) {
                tv3.startAnimation(fadeIn3);
            }

            @Override
            public void onAnimationRepeat(Animation animation) {

            }
        });

        fadeIn3.setAnimationListener(new Animation.AnimationListener() {
            @Override
            public void onAnimationStart(Animation animation) {

            }

            @Override
            public void onAnimationEnd(Animation animation) {
                intro.stop();
                Intent gameIntent = new Intent(StoryActivity.this, GameActivity.class);
                startActivity(gameIntent);

            }
            @Override
            public void onAnimationRepeat(Animation animation) {

            }
        });

    }
}